=== debian/control ===
Source: libreoffice-voikko
Section: text
Priority: optional
Maintainer: Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 7.0.0), libreoffice-dev, libvoikko-dev (>= 2.1), zip, unzip
Standards-Version: 3.9.1
Homepage: http://voikko.sourceforge.net/

Package: libreoffice-voikko
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, voikko-fi, libreoffice-core
Recommends: libreoffice | libreoffice-writer | libreoffice-calc | libreoffice-impress | libreoffice-draw
Enhances: libreoffice
Provides: libreoffice-spellcheck-fi, libreoffice-hyphenation-fi
Description: Finnish language tools for LibreOffice
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains a Finnish spell-checking, grammar checking and
 hyphenation component for LibreOffice. The actual functionality is
 provided by the Voikko library.
 .
 NOTE: Usually spell-checking, grammar checking and hyphenation should be
 automatically activated after installing this package. If this is not the
 case, go to "Writing Aids" settings in LibreOffice and activate Voikko
 components manually.
