## libreoffice-voikko 3.2

=== debian/changelog ===
libreoffice-voikko (3.2-3) unstable; urgency=low

  * Fix debian-rules-missing-recommended-target
  * Fix debug build, thanks for patch to Timo Lindfors (Closes: #652297)
  * Update Standards-Version to 3.9.2

 -- Timo Jyrinki <timo@debian.org>  Sat, 17 Dec 2011 11:34:07 +0200

libreoffice-voikko (3.2-2) unstable; urgency=low

  * Remove the transitional package, already provided by OOo

 -- Timo Jyrinki <timo@debian.org>  Wed, 06 Apr 2011 13:10:51 +0300

libreoffice-voikko (3.2-1) unstable; urgency=low

  * Upstream 3.2rc2 released as 3.2 without changes
  * Add transitional package openoffice.org-voikko (Closes: #613084)

 -- Timo Jyrinki <timo@debian.org>  Tue, 05 Apr 2011 17:37:35 +0300
