## libreoffice-voikko 3.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Libreoffice-voikko: Finnish linguistic extension for LibreOffice
-# Copyright (C) 2005-2011 Harri Pitkänen <hatapitk@iki.fi>
+# Copyright (C) 2005-2012 Harri Pitkänen <hatapitk@iki.fi>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -28,7 +28,7 @@
 # ===== Build settings =====
 
 # Version number of the libreoffice-voikko extension
-VOIKKO_VERSION=3.2
+VOIKKO_VERSION=3.3
 
 # VOIKKO_DEBUG controls the amount of debugging information in the resulting UNO
 # package. Possible values are NO (creates an optimized build without any
@@ -73,11 +73,14 @@
 	ifeq "$(PROCTYPE)" "i686"
 		UNOPKG_PLATFORM=MacOSX_x86
 	endif
+	ifeq "$(PROCTYPE)" "i386"
+		UNOPKG_PLATFORM=MacOSX_x86
+	endif
 endif
 
 # Platform specific variables
 ifeq "$(PLATFORM)" "windows"
-	WARNING_FLAGS=-Wall -WX -wd4061 -wd4365 -wd4514 -wd4625 -wd4626 -wd4668 -wd4711 -wd4820
+	WARNING_FLAGS=-Wall -WX -wd4061 -wd4365 -wd4514 -wd4619 -wd4625 -wd4626 -wd4668 -wd4710 -wd4711 -wd4820
 	# The following warnings should be fixed in the future
 	WARNING_FLAGS+= -wd4640
 	COPYDIR=xcopy /E /I
@@ -257,7 +260,7 @@
 		nm -gx $^ | $(ADDSYMBOLS) >> build/voikko.map
 		$(LINK) $(COMP_LINK_FLAGS) build/voikko.map $(LINK_LIBS) -o $@ $^ \
 		$(CPPUHELPERLIB) $(CPPULIB) $(SALLIB) $(CPPUHELPERDYLIB) $(CPPUDYLIB) $(SALDYLIB) \
-		$(LIBVOIKKO_PATH)/lib/libvoikko.a -framework CoreFoundation -framework Carbon
+		-lvoikko
 		$(INSTALL_NAME_URELIBS)  $@
 else
 		$(LINK) $(LINK_FLAGS) $^ -o $@ $(LINK_LIBS)
