=== debian/changelog ===
libreoffice-voikko (3.3-3) unstable; urgency=low

  * Upload to unstable
  * Update Standards-Version

 -- Timo Jyrinki <timo@debian.org>  Wed, 04 Apr 2012 11:32:35 +0300

libreoffice-voikko (3.3-2) experimental; urgency=low

  [ Rene Engelhard ]
  * stop using basis-link. it's gone (Closes: #661181)

 -- Timo Jyrinki <timo@debian.org>  Sat, 25 Feb 2012 11:21:28 +0200

libreoffice-voikko (3.3-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Tue, 07 Feb 2012 20:54:27 +0200
