=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 7.0.0), libreoffice-dev, libvoikko-dev (>= 2.1), zip, unzip
-Standards-Version: 3.9.2
+Build-Conflicts: libreoffice-common (<< 1:3.5.0~)
+Standards-Version: 3.9.3
 Homepage: http://voikko.sourceforge.net/
 
 Package: libreoffice-voikko
