=== debian/watch ===
version=3

http://sf.net/voikko/libreoffice-voikko-(.*)\.tar\.gz
