## libreoffice-voikko 3.4.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Libreoffice-voikko: Finnish linguistic extension for LibreOffice
-# Copyright (C) 2005-2012 Harri Pitkänen <hatapitk@iki.fi>
+# Copyright (C) 2005-2013 Harri Pitkänen <hatapitk@iki.fi>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -28,7 +28,7 @@
 # ===== Build settings =====
 
 # Version number of the libreoffice-voikko extension
-VOIKKO_VERSION=3.3
+VOIKKO_VERSION=3.4.1
 
 # VOIKKO_DEBUG controls the amount of debugging information in the resulting UNO
 # package. Possible values are NO (creates an optimized build without any
@@ -80,7 +80,7 @@
 
 # Platform specific variables
 ifeq "$(PLATFORM)" "windows"
-	WARNING_FLAGS=-Wall -WX -wd4061 -wd4365 -wd4514 -wd4619 -wd4625 -wd4626 -wd4668 -wd4710 -wd4711 -wd4820
+	WARNING_FLAGS=-Wall -WX -wd4061 -wd4127 -wd4265 -wd4365 -wd4514 -wd4619 -wd4625 -wd4626 -wd4668 -wd4710 -wd4711 -wd4820
 	# The following warnings should be fixed in the future
 	WARNING_FLAGS+= -wd4640
 	COPYDIR=xcopy /E /I
@@ -112,23 +112,22 @@
 # this flag has been enabled by default on openSUSE-11.2
 LINK_FLAGS=$(COMP_LINK_FLAGS) $(OPT_FLAGS) $(LINKER_FLAGS)
 
-# This will do nothing on platforms that do not use STLPort but is needed on those that do.
-LINK_LIBS += $(STLPORTLIB)
-
 ifneq "$(PLATFORM)" "macosx"
 	LINK_LIBS+=$(SALLIB) $(CPPULIB) $(CPPUHELPERLIB)
 endif
 VOIKKO_CC_FLAGS=$(OPT_FLAGS) $(WARNING_FLAGS) -Ibuild/hpp -I$(PRJ)/include/stl -I$(PRJ)/include
 
+# STANDALONE_EXTENSION_FILES must contain the libvoikko library (unless it will be
+# linked statically) and versioned directories for dictionary data to be embedded.
 ifdef STANDALONE_EXTENSION_PATH
 	VOIKKO_CC_DEFINES= -DVOIKKO_STANDALONE_EXTENSION
 	ifeq "$(PLATFORM)" "windows"
-		STANDALONE_EXTENSION_FILES=libvoikko-1.dll 2
+		STANDALONE_EXTENSION_FILES=libvoikko-1.dll 2 3
 	else
 		ifeq "$(PLATFORM)" "macosx"
-			STANDALONE_EXTENSION_FILES=2
+			STANDALONE_EXTENSION_FILES=2 3
 		else
-			STANDALONE_EXTENSION_FILES=libvoikko.so.1 2
+			STANDALONE_EXTENSION_FILES=libvoikko.so.1 2 3
 			LINK_LIBS += -lvoikko
 		endif
 	endif
@@ -252,7 +251,7 @@
 ifeq "$(PLATFORM)" "windows"
 	$(LINK) $(COMP_LINK_FLAGS) /OUT:$@ \
 	/MAP:build/voikko.map $^ \
-	 $(CPPUHELPERLIB) $(CPPULIB) $(SALLIB) $(STLPORTLIB) msvcrt.lib kernel32.lib $(LIBVOIKKO_PATH)\lib\libvoikko-1.lib
+	 $(CPPUHELPERLIB) $(CPPULIB) $(SALLIB) msvcrt.lib kernel32.lib $(LIBVOIKKO_PATH)\lib\libvoikko-1.lib
 	mt -manifest build/oxt/voikko.dll.manifest -outputresource:build/oxt/voikko.dll;2
 else
 ifeq "$(PLATFORM)" "macosx"
