=== debian/changelog ===
libreoffice-voikko (3.4.1-2) unstable; urgency=low

  [ Rene Engelhard ]
  * fix build with LibreOffice 4.1.0

 -- Timo Jyrinki <timo@debian.org>  Sun, 28 Jul 2013 20:21:05 +0300

libreoffice-voikko (3.4.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules: add clean/test targets, adjust install

 -- Timo Jyrinki <timo@debian.org>  Tue, 23 Jul 2013 18:22:50 +0300

libreoffice-voikko (3.4-1) unstable; urgency=low

  * New upstream release
  * Change to debhelper 9, simplify packaging
  * Update Standards-Version
  * Enable hardening-wrapper
  * Add lintian-override for the image file

 -- Timo Jyrinki <timo@debian.org>  Tue, 21 May 2013 19:08:10 +0300
