=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: text
 Priority: optional
 Maintainer: Timo Jyrinki <timo@debian.org>
-Build-Depends: debhelper (>= 7.0.0), libreoffice-dev, libvoikko-dev (>= 2.1), zip, unzip
+Build-Depends: debhelper (>= 9.0.0), libreoffice-dev (>= 1:4.1.0~), libvoikko-dev (>= 2.1), zip, unzip, hardening-wrapper
 Build-Conflicts: libreoffice-common (<< 1:3.5.0~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://voikko.sourceforge.net/
 
 Package: libreoffice-voikko
