## libreoffice-voikko 4.0

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,14 @@
-# Libreoffice-voikko: Finnish linguistic extension for LibreOffice
-# Copyright (C) 2005-2013 Harri Pitkänen <hatapitk@iki.fi>
+# Libreoffice-voikko: Linguistic extension for LibreOffice
+# Copyright (C) 2005 - 2013 Harri Pitkänen <hatapitk@iki.fi>
 #
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
-##########################################################################
+# This Source Code Form is subject to the terms of the Mozilla Public License,
+# v. 2.0. If a copy of the MPL was not distributed with this file, You can
+# obtain one at http://mozilla.org/MPL/2.0/.
+# 
+# Alternatively, the contents of this file may be used under the terms of
+# the GNU General Public License Version 3 or later (the "GPL"), in which
+# case the provisions of the GPL are applicable instead of those above.
+###############################################################################
 
 
 # Check that build environment is properly set up
@@ -28,7 +23,7 @@
 # ===== Build settings =====
 
 # Version number of the libreoffice-voikko extension
-VOIKKO_VERSION=3.4.1
+VOIKKO_VERSION=4.0
 
 # VOIKKO_DEBUG controls the amount of debugging information in the resulting UNO
 # package. Possible values are NO (creates an optimized build without any
@@ -66,17 +61,6 @@
 DESTDIR=/usr/lib/libreoffice-voikko
 
 # === End build settings ===
-
-# Fix for Intel OS X, see issues 69944 and 86121.
-ifeq "$(PLATFORM)" "macosx"
-	PROCTYPE=$(shell $(PRJ)/config.guess | cut -d "-" -f1)
-	ifeq "$(PROCTYPE)" "i686"
-		UNOPKG_PLATFORM=MacOSX_x86
-	endif
-	ifeq "$(PROCTYPE)" "i386"
-		UNOPKG_PLATFORM=MacOSX_x86
-	endif
-endif
 
 # Platform specific variables
 ifeq "$(PLATFORM)" "windows"
@@ -236,7 +220,7 @@
 # Type library C++ headers
 build/hpp.flag:
 	-$(MKDIR) build$(PS)hpp
-	$(CPPUMAKER) -Gc -BUCR -O./build/hpp $(URE_TYPES) $(OFFICE_TYPES)
+	$(CPPUMAKER) -Gc -O./build/hpp $(URE_TYPES) $(OFFICE_TYPES)
 	echo flagged > $@
 
 
@@ -256,7 +240,6 @@
 else
 ifeq "$(PLATFORM)" "macosx"
 		cat $(PRJ)/settings/component.uno.map > build/voikko.map
-		nm -gx $^ | $(ADDSYMBOLS) >> build/voikko.map
 		$(LINK) $(COMP_LINK_FLAGS) build/voikko.map $(LINK_LIBS) -o $@ $^ \
 		$(CPPUHELPERLIB) $(CPPULIB) $(SALLIB) $(CPPUHELPERDYLIB) $(CPPUDYLIB) $(SALDYLIB) \
 		-lvoikko
