=== debian/changelog ===
libreoffice-voikko (4.0-1) unstable; urgency=medium

  * Update watch file
  * Imported Upstream version 4.0
  * Drop both patches not needed anymore
  * Update package description to match current upstream description
  * Add Vcs urls

 -- Timo Jyrinki <timo@debian.org>  Sat, 07 Dec 2013 18:36:31 +0200
