=== debian/watch ===
version=3

http://www.puimula.org/voikko-sources/libreoffice-voikko/libreoffice-voikko-(.*)\.tar\.gz
