## libreoffice-voikko 4.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Libreoffice-voikko: Linguistic extension for LibreOffice
-# Copyright (C) 2005 - 2013 Harri Pitkänen <hatapitk@iki.fi>
+# Copyright (C) 2005 - 2014 Harri Pitkänen <hatapitk@iki.fi>
 #
 # This Source Code Form is subject to the terms of the Mozilla Public License,
 # v. 2.0. If a copy of the MPL was not distributed with this file, You can
@@ -23,7 +23,7 @@
 # ===== Build settings =====
 
 # Version number of the libreoffice-voikko extension
-VOIKKO_VERSION=4.0
+VOIKKO_VERSION=4.1
 
 # VOIKKO_DEBUG controls the amount of debugging information in the resulting UNO
 # package. Possible values are NO (creates an optimized build without any
@@ -48,9 +48,6 @@
 # of this extension, uncomment the following.
 # SHOW_LICENSE=1
 
-# If you want to enable the grammar checker, set this option to 1
-ENABLE_GRAMMAR_CHECKER=1
-
 # Setting this option to 1 causes ugly warnings to be added to visible places
 # in the extension without removing any functionality (codename "tekstintuho").
 # Useful for binary builds that are released for public testing.
@@ -64,7 +61,7 @@
 
 # Platform specific variables
 ifeq "$(PLATFORM)" "windows"
-	WARNING_FLAGS=-Wall -WX -wd4061 -wd4127 -wd4265 -wd4365 -wd4514 -wd4619 -wd4625 -wd4626 -wd4668 -wd4710 -wd4711 -wd4820
+	WARNING_FLAGS=-Wall -WX -wd4061 -wd4127 -wd4265 -wd4365 -wd4514 -wd4619 -wd4625 -wd4626 -wd4668 -wd4710 -wd4711 -wd4820 -wd4996
 	# The following warnings should be fixed in the future
 	WARNING_FLAGS+= -wd4640
 	COPYDIR=xcopy /E /I
@@ -77,6 +74,12 @@
 	LINKER_FLAGS=-Wl,--no-undefined
 endif
 
+ifeq "$(PLATFORM)" "freebsd"
+	CC=cc
+	LINK=c++
+	LIBVOIKKO_PATH=/usr/local
+	SDK_ZIP=zip
+endif
 
 # General variables
 ifeq "$(VOIKKO_DEBUG)" "FULL"
@@ -121,10 +124,6 @@
 	LINK_LIBS += -lvoikko
 endif
 
-ifndef ENABLE_GRAMMAR_CHECKER
-	VOIKKO_CC_DEFINES += -DDISABLE_GRAMMAR_CHECKER
-endif
-
 # Build extension package name
 ifdef SHOW_UGLY_WARNINGS
         VOIKKO_PACKAGENAME:=tekstintuho
@@ -158,10 +157,10 @@
 SRCDIST=COPYING Makefile README ChangeLog $(patsubst %,src/%.hxx,$(VOIKKO_HEADERS)) \
         $(patsubst %,src/%.cxx,$(VOIKKO_OBJECTS)) oxt/description.xml.template \
         $(patsubst %,oxt/%,$(COPY_TEMPLATES)) \
-        oxt/META-INF/manifest.xml.template oxt/icon.svg
+        oxt/voikko.components.template oxt/META-INF/manifest.xml.template oxt/icon.svg
 SED=sed
 
-EXTENSION_FILES=build/oxt/META-INF/manifest.xml build/oxt/description.xml \
+EXTENSION_FILES=build/oxt/META-INF/manifest.xml build/oxt/description.xml build/oxt/voikko.components \
 	      build/oxt/$(VOIKKO_EXTENSION_SHAREDLIB) \
 	      $(patsubst %,build/oxt/%,$(STANDALONE_EXTENSION_FILES)) \
 	      $(patsubst %,build/oxt/%,$(COPY_TEMPLATES))
@@ -181,16 +180,14 @@
 	install -m 755 -d "$(DESTDIR)" "$(DESTDIR)/META-INF"
 	install -m 644 build/oxt/META-INF/manifest.xml "$(DESTDIR)/META-INF"
 	install -m 644 build/oxt/$(VOIKKO_EXTENSION_SHAREDLIB) \
-	               build/oxt/description.xml \
+	               build/oxt/description.xml build/oxt/voikko.components \
 	               $(patsubst %,build/oxt/%,$(STANDALONE_EXTENSION_FILES)) \
 	               $(patsubst %,build/oxt/%,$(COPY_TEMPLATES)) $(DESTDIR)
 
 # Sed scripts for modifying templates
-MANIFEST_SEDSCRIPT:=s/VOIKKO_EXTENSION_SHAREDLIB/$(VOIKKO_EXTENSION_SHAREDLIB)/g;s/UNOPKG_PLATFORM/$(UNOPKG_PLATFORM)/g
+MANIFEST_SEDSCRIPT:=s/UNOPKG_PLATFORM/$(UNOPKG_PLATFORM)/g
+COMPONENTS_SEDSCRIPT:=s/VOIKKO_EXTENSION_SHAREDLIB/$(VOIKKO_EXTENSION_SHAREDLIB)/g
 DESCRIPTION_SEDSCRIPT:=s/VOIKKO_VERSION/$(VOIKKO_VERSION)/g
-ifdef ENABLE_GRAMMAR_CHECKER
-	MANIFEST_SEDSCRIPT:=$(MANIFEST_SEDSCRIPT);/GRAMMAR_CHECKER_DISABLED/d
-endif
 ifdef SHOW_LICENSE
 	DESCRIPTION_SEDSCRIPT:=$(DESCRIPTION_SEDSCRIPT);/SHOW_LICENSE/d
 endif
@@ -208,6 +205,10 @@
 build/oxt/description.xml: oxt/description.xml.template
 	-$(MKDIR) $(subst /,$(PS),$(@D))
 	$(SED) -e $(DESCRIPTION_SEDSCRIPT) < $^ > $@
+
+build/oxt/voikko.components: oxt/voikko.components.template
+	-$(MKDIR) $(subst /,$(PS),$(@D))
+	$(SED) -e $(COMPONENTS_SEDSCRIPT) < $^ > $@
 
 $(patsubst %,build/oxt/%,$(COPY_TEMPLATES)): build/oxt/%: oxt/%
 	-$(MKDIR) $(subst /,$(PS),$(@D))
@@ -239,8 +240,8 @@
 	mt -manifest build/oxt/voikko.dll.manifest -outputresource:build/oxt/voikko.dll;2
 else
 ifeq "$(PLATFORM)" "macosx"
-		cat $(PRJ)/settings/component.uno.map > build/voikko.map
-		$(LINK) $(COMP_LINK_FLAGS) build/voikko.map $(LINK_LIBS) -o $@ $^ \
+#		cat $(PRJ)/settings/component.uno.map > build/voikko.map
+		$(LINK) $(COMP_LINK_FLAGS) $(LINK_LIBS) -o $@ $^ \
 		$(CPPUHELPERLIB) $(CPPULIB) $(SALLIB) $(CPPUHELPERDYLIB) $(CPPUDYLIB) $(SALDYLIB) \
 		-lvoikko
 		$(INSTALL_NAME_URELIBS)  $@
