=== debian/changelog ===
libreoffice-voikko (4.1-1build1) wily; urgency=medium

  * No-change rebuild against libvoikko1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 20:32:16 +0000

libreoffice-voikko (4.1-1) unstable; urgency=medium

  * Imported Upstream version 4.1

 -- Timo Jyrinki <timo@debian.org>  Mon, 29 Sep 2014 14:33:52 +0300
