=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libreoffice-voikko
 Section: text
 Priority: optional
-Maintainer: Timo Jyrinki <timo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9.0.0), libreoffice-dev (>= 1:4.1.0~), libvoikko-dev (>= 2.1), zip, unzip, hardening-wrapper
 Build-Conflicts: libreoffice-common (<< 1:3.5.0~)
 Standards-Version: 3.9.4
