=== debian/changelog ===
libreoffice-voikko (5.0-4) unstable; urgency=medium

  * Add build dep on libreoffice-core (Closes: #994390)
  * Bump compat version
  * Clean trailing whitespace from changelog and rules
  * Use https for debian watch url
  * Update vcs urls to salsa.debian.org
  * Bump Standards-Version
  * Bump watch file standard
  * debian/rules: drop --fail-missing (removed in compat 12)
  * debian/rules: drop --parallel (unneeded these days)

 -- Timo Jyrinki <timo@debian.org>  Fri, 01 Oct 2021 10:15:13 +0300

libreoffice-voikko (5.0-3) unstable; urgency=medium

  * Run wrap-and-sort -a -t
  * Depend on python3-uno (Closes: #833814)
  * Add Provides: libreoffice-grammarcheck-fi (Closes: #833813)

 -- Timo Jyrinki <timo@debian.org>  Fri, 02 Sep 2016 17:09:01 +0300

libreoffice-voikko (5.0-2) unstable; urgency=medium

  * Depend on python3-libvoikko instead of the transitional package.

 -- Timo Jyrinki <timo@debian.org>  Wed, 17 Feb 2016 10:52:49 +0200

libreoffice-voikko (5.0-1) unstable; urgency=medium

  * New upstream version.
  * Require libvoikko >= 4.0.
  * libreoffice-dev no longer needed.
  * Drop hardening-wrapper dependency.
  * Build depend on python-libvoikko >= 4.0.
  * Also runtime dependency on python-libvoikko.
  * Update Standards-Version, no changes.
  * Build depend on dh-python.
  * Use C.UTF-8 locale for building.

 -- Timo Jyrinki <timo@debian.org>  Wed, 10 Feb 2016 17:53:00 +0200
